Package com.pixelmed.test

# Class TestDeidentifyStructuredContent

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
com.pixelmed.test.TestDeidentifyStructuredContent

All Implemented Interfaces:
  `junit.framework.Test`

public class TestDeidentifyStructuredContent extends junit.framework.TestCase

## Constructor Summary

Constructors
Constructor
Description
`TestDeidentifyStructuredContent(String name)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setUp()`
`static junit.framework.Test`
`suite()`
`protected void`
`tearDown()`
`void`
`TestDeidentifyStructuredContent_KeepAll_FromSR()`
`void`
`TestDeidentifyStructuredContent_Modify_FromSR()`
`void`
`TestDeidentifyStructuredContent_Modify_FromSR_KeepDescriptors()`
`void`
`TestDeidentifyStructuredContent_Modify_FromSR_KeepDevice()`
`void`
`TestDeidentifyStructuredContent_Modify_FromSR_KeepInstitution()`
`void`
`TestDeidentifyStructuredContent_RemoveAll_FromSR()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TestDeidentifyStructuredContent

public TestDeidentifyStructuredContent(String name)

## Method Details

### suite

public static junit.framework.Test suite()

### setUp

protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

### tearDown

protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

### TestDeidentifyStructuredContent_KeepAll_FromSR

public void TestDeidentifyStructuredContent_KeepAll_FromSR() throws Exception

Throws:
  `Exception`

### TestDeidentifyStructuredContent_RemoveAll_FromSR

public void TestDeidentifyStructuredContent_RemoveAll_FromSR() throws Exception

Throws:
  `Exception`

### TestDeidentifyStructuredContent_Modify_FromSR

public void TestDeidentifyStructuredContent_Modify_FromSR() throws Exception

Throws:
  `Exception`

### TestDeidentifyStructuredContent_Modify_FromSR_KeepDescriptors

public void TestDeidentifyStructuredContent_Modify_FromSR_KeepDescriptors() throws Exception

Throws:
  `Exception`

### TestDeidentifyStructuredContent_Modify_FromSR_KeepDevice

public void TestDeidentifyStructuredContent_Modify_FromSR_KeepDevice() throws Exception

Throws:
  `Exception`

### TestDeidentifyStructuredContent_Modify_FromSR_KeepInstitution

public void TestDeidentifyStructuredContent_Modify_FromSR_KeepInstitution() throws Exception

Throws:
  `Exception`